# Class TabAttributes

#### Hierarchy

- XmlAttributeComponent <{
  leader?: typeof LeaderType [keyof typeof LeaderType ];
  pos: string | number;
  val: typeof TabStopType [keyof typeof TabStopType ];
  }>
  - TabAttributes

- Defined in file/paragraph/formatting/tab-stop.ts:45

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new TabAttributes(root): TabAttributes

- #### Parameters

  - ##### root: {
    leader?: "none" | "dot" | "hyphen" | "underscore" | "middleDot";
    pos: string | number;
    val: "center" | "clear" | "left" | "right" | "start" | "end" | "decimal" | "bar" | "num";
    }

    - ##### `Optional` `Readonly` leader?: "none" | "dot" | "hyphen" | "underscore" | "middleDot"

    - ##### `Readonly` pos: string | number

    - ##### `Readonly` val: "center" | "clear" | "left" | "right" | "start" | "end" | "decimal" | "bar" | "num"

  #### Returns TabAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:12

## Methods

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:16

Generated using TypeDoc